Queries the state of a transaction. This method can be called for any transaction submitted to the network. The returned transaction details may vary between calls, because an endpoint may route requests to different validators within the network and region, and the validators may not be at the same round ID at any given time.
HTTP request
GET https://universalledger.googleapis.com/v1/{endpoint=projects/*/locations/*/endpoints/*}:queryTransactionState The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
endpoint |
Required. The endpoint to serve the request. Format: |
Query parameters
| Parameters | |
|---|---|
transactionDigestHex |
Required. The transaction ID to get the state of. |
Request body
The request body must be empty.
Response body
Response message for endpoints.queryTransactionState.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"transactionAttempts": [
{
object ( |
| Fields | |
|---|---|
transactionAttempts[] |
One entry per each known submission of the transaction to the validator handling the request. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.